Loading...
Searching...
No Matches
Distortion.h File Reference

Header file for Distortion audio effect class. More...

`#include "EffectBase.h"`
`#include "Json.h"`
`#include "KeyFrame.h"`
`#include "Enums.h"`
`#include <memory>`
`#include <string>`
`#include <AppConfig.h>`
`#include <juce_audio_basics/juce_audio_basics.h>`
`#include <juce_dsp/juce_dsp.h>`

Go to the source code of this file.

## Classes

class | openshot::Distortion
| This class adds a distortion into the audio. More...
class | openshot::Distortion::Filter

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | _USE_MATH_DEFINES

## Detailed Description

Header file for Distortion audio effect class.

Author

License

Definition in file Distortion.h.

## Macro Definition Documentation

## _USE_MATH_DEFINES

#define _USE_MATH_DEFINES

Definition at line 15 of file Distortion.h.